PACSORT(8)

BEZEICHNUNG
pacsort - Sortierwerkzeug, das alpm_pkg_vercmp implementiert

ÜBERSICHT

pacsort [Optionen] [Dateien …]

BESCHREIBUNG

pacsort verkettet die angegebenen Dateien, sortiert sie und schreibt das Ergebnis in die Standardausgabe. Die vorgegebene Reihenfolge ist von alt nach neu.

Die Standardeingabe wird gelesen, wenn keine Dateien angegeben sind.

Standardmäßig werden die Zeilen als Listen einfacher Versionszeichenketten aufgefasst.

OPTIONEN

-f, --files
    sortiert die Zeilen nach pkgname und pkgver, falls die Eingabelisten im Format *-*.pkg.tar* angegeben werden.

-h, --help
    zeigt die Syntax und Befehlszeilenoptionen an.

-k, --key <Index>
    sortiert die Eingabe beginnend mit der angegebenen Spalte.

-z, --null
    lässt die Zeilen mit Nullbytes anstatt mit Zeilenvorschüben enden.

-r, --reverse
    sortiert in umgekehrter Reihenfolge.

-t, --separator <Trenner>
    legt den Feldtrenner fest. Der vorgegebene Trenner ist das Leerzeichen.

-V, --version
    zeigt die Version an.

SIEHE AUCH

pacman(8), vercmp(8)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, hinterlassen Sie einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich auf https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg (johannes@kyriasis.com)

    • Daniel M. Capella (polyzen@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Repositorium pacman-contrib.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.